import { Signal } from '@angular/core';
import { ITutorialStep } from '../lib.interfaces';
export declare class Tutorial {
    private readonly _stepIndex;
    readonly stepIndex: Signal<number>;
    readonly step: Signal<ITutorialStep | undefined>;
    readonly hasPrevious: Signal<boolean>;
    readonly steps: ITutorialStep[];
    constructor(steps: ITutorialStep[]);
    reset(): void;
    setStepIndex(index: number): void;
    nextStep(): Promise<void>;
    private shouldSkip;
    private startHook;
    private endHook;
    previousStep(): void;
}
